Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2523063002: Size reduction from moving const char arrays out of header (Closed)

Created:
2 years, 3 months ago by brucedawson
Modified:
2 years, 3 months ago
CC:
cc-bugs_chromium.org, chromium-reviews, devtools-reviews_chromium.org, pfeldman
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Size reduction from moving const char arrays out of header Change from initial\chrome.dll to out\release\chrome.dll .text: 192 bytes change .rdata: -352 bytes change .reloc: 28 bytes change Total change: -132 bytes Change from initial\chrome_child.dll to out\release\chrome_child.dll .text: -512 bytes change .rdata: -384 bytes change .reloc: -320 bytes change Total change: -1216 bytes This isn't particularly worthwhile for the size savings, but it seems worthwhile just because const non-integral variable definitions in header files are not ideal. BUG=630755 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Committed: https://crrev.com/c534450c50f9b906c1c47c5987d04db7a3b129dd Cr-Commit-Position: refs/heads/master@{#436499}

Patch Set 1 #

Patch Set 2 : Added new .cc file to patch #

Unified diffs Side-by-side diffs Delta from patch set Stats (+53 lines, -19 lines) Patch
M cc/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M cc/debug/devtools_instrumentation.h View 1 chunk +18 lines, -19 lines 0 comments Download
A cc/debug/devtools_instrumentation.cc View 1 1 chunk +34 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (10 generated)
brucedawson
I'm curious about your take on this. I noticed that some of these character arrays ...
2 years, 3 months ago (2016-11-22 22:33:07 UTC) #3
Nico
On 2016/11/22 22:33:07, brucedawson wrote: > I'm curious about your take on this. I noticed ...
2 years, 3 months ago (2016-12-02 01:30:19 UTC) #4
brucedawson
aelias, WDYT? The definitions could be put elsewhere if we want to avoid the cost ...
2 years, 3 months ago (2016-12-05 01:08:39 UTC) #7
aelias_OOO_until_Jul13
lgtm
2 years, 3 months ago (2016-12-05 22:42:08 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2523063002/20001
2 years, 3 months ago (2016-12-05 22:52:30 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/192899)
2 years, 3 months ago (2016-12-06 01:14:01 UTC) #12
brucedawson
Broken test - it failed with and without the patch. Retrying.
2 years, 3 months ago (2016-12-06 01:30:06 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2523063002/20001
2 years, 3 months ago (2016-12-06 01:30:40 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 3 months ago (2016-12-06 02:49:20 UTC) #18
commit-bot: I haz the power
2 years, 3 months ago (2016-12-06 02:53:59 UTC) #20
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/c534450c50f9b906c1c47c5987d04db7a3b129dd
Cr-Commit-Position: refs/heads/master@{#436499}

Powered by Google App Engine
This is Rietveld 408576698